#! /usr/bin/env bash

# Avoid rebuilds of the same version
[[ -e "build/giteapc-skip-rebuild.txt" ]] && exit 0

source util.sh
cd build

# Number of processor cores
if [[ $(uname) == "OpenBSD" || $(uname) == "Darwin" ]]; then
  cores=$(sysctl -n hw.ncpu)
else
  cores=$(nproc)
fi

if [[ -e "giteapc-build-libstdcxx.txt" ]]; then
  echo "$TAG Compiling libstdc++-v3..."
  run_quietly giteapc-build-libstdcxx.log \
  $MAKE_COMMAND -j"$cores" all-target-libstdc++-v3
else
  echo "$TAG Compiling gcc (usually 10-20 minutes)..."
  run_quietly giteapc-build.log \
  $MAKE_COMMAND -j"$cores" all-gcc all-target-libgcc
fi
